import { OnInit } from '@angular/core';
import { JsonSchemaFormService } from '../../json-schema-form/json-schema-form.service';
export declare class MaterialNumberComponent implements OnInit {
    private jsf;
    private formControl;
    private controlName;
    private controlValue;
    private controlDisabled;
    private boundControl;
    private options;
    private allowNegative;
    private allowDecimal;
    private allowExponents;
    private lastValidNumber;
    formID: number;
    layoutNode: any;
    layoutIndex: number[];
    dataIndex: number[];
    constructor(jsf: JsonSchemaFormService);
    ngOnInit(): void;
    private updateValue(event);
    private validateInput(event);
    private validateNumber(event);
}
